package dbutils;

import java.io.*;


/** *************************************************************************************
<p>   
Hufig verwendete IO-Funktionen ohne "Standard-"Ballast.
</p>


*
*  @author   P. Seher
*  @version  1.0 
*
*/

public class MyIo {
	
	
	public static void writeObject (Object o, String path) 
	                                                    throws java.io.FileNotFoundException,
							           java.io.IOException 					   
	
	{
			File dateiObjekt  = new File( path );
			ObjectOutputStream outObj  = new ObjectOutputStream ( new FileOutputStream( dateiObjekt ));
			outObj.writeObject(o);
			outObj.close();			
	}
	
	public static Object readObject ( String path) 
	                                                    throws java.io.FileNotFoundException,
							           java.io.IOException,
								   java.lang.ClassNotFoundException
	
	{	       
		        Object ergebnis;
			
			ObjectInputStream inObj  = new ObjectInputStream ( new FileInputStream( path ));
			ergebnis=inObj.readObject();
			inObj.close();							
			
			return ergebnis;
	
	}
	public static java.util.Properties readProperties ( String fileName) 
	                                                    throws java.io.FileNotFoundException,
							           java.io.IOException
								   
       {
		FileInputStream      isProperties  = new FileInputStream(fileName);
		java.util.Properties properties    = new java.util.Properties( );
		properties.load(isProperties);
		isProperties.close(); 
		
		return properties;
	       
       }
	
	
} // end class
