package mobile;

import dbutils.*;
import asciidb.*;
import java.util.*;
import java.text.*;
import java.io.*;
 
public class Schema implements Serializable {

	private SortedMap   cls_ltCol ;    // Lookup-Tabellen fr die Spaltenbeschreibungen
	private SortedMap   cls_ltInfo ;   // Lookup-Tabellen fr die Spaltenbeschreibungen
	private RamTable    cls_rtOrderDaily;  
	private RamTable    cls_rtOrderMonthly;  
	

	public Schema()
	{
	    cls_ltCol = new TreeMap();
	}
	
	public  ColumnDesc [] getColDesc(String id)
	{
		
	   return (ColumnDesc []) cls_ltCol.get(id);	
		
	}
	
	public void  setColDesc(String id, ColumnDesc [] lt )
	{
		
	    cls_ltCol.put(id, lt);	
		
	}	
	

	public   SortedMap getInfoMap()
	{
		
	   return cls_ltInfo;
		
	}
	
	public void setInfoMap( SortedMap info)
	{
	   cls_ltInfo=info; 
	
	}

	
	public void setOrderDaily( RamTable rt)
	{
	   cls_rtOrderDaily  = rt; 
	
	}
	
	public void setOrderMonthly( RamTable rt)
	{
	   cls_rtOrderMonthly  = rt; 
	
	}

	public RamTable getOrderDaily()
	{
	   return cls_rtOrderDaily; 
	
	}
	
	public RamTable getOrderMonthly()
	{
	   return cls_rtOrderMonthly; 
	
	}	
	


}

