#!/bin/ksh


# =============================================================================
#
#  PROZEDUR  : mobile_info.sh
#
#  ZWECK     : Kontext von MEX-Reports ausgeben
#
#  AUFRUF    : mobile_info.sh
#
#  BEMERKUNG :
#
#  AUTOR     : P. Seher 10.2004
#
# =============================================================================

USAGE="USAGE: $0 "


# -----------------------------------------------------------------------------
# Funktionen
# -----------------------------------------------------------------------------

dirtree()
{
find $* -print | sort | \

  sed   -e 's:[^/]*/:|---- :g'     -e 's/---- |/ |/g'
 
}


EH=$HOME/mexreports/REPORTS;


DIR=$EH 

cd $DIR||{ echo Ungueltiges Verzeichnis $DIR >&2; exit 1; }

echo "-----------------------------------------------------------------"
echo  Programme
echo "-----------------------------------------------------------------"
dirtree MOBILE
echo "-----------------------------------------------------------------"
echo  Datenverzeichnisse
echo "-----------------------------------------------------------------"
dirtree DATASETS -type d

