package mobile;


import dbutils.*;
import asciidb.*;
import mysystem.*;

import excel.*;
import java.util.*;
import java.text.*;
import java.net.*;
import java.io.*;



public class ExportDaily extends Export {
	
	static        mobile.MGlobal cls_global;
	static        mobile.Schema  cls_schema;
	
	
	public static void main (String[] args)  
	{
		
		String persnr=args[0]; //"102584"
		int ergebnis = FEHLER_INITIALISIERUNG;   
		
		Clock zeitGesamt = new Clock();
		zeitGesamt.start();
		
		if (initReports())
		{
			ExportDaily t = new ExportDaily();			
			ergebnis      = t.createExcelFiles(persnr, cls_schema.getOrderDaily());
			
		}
		
		zeitGesamt.stop();
		System.out.println( ">>>  Benoetigte Zeit EXPORT-LAUF GESAMT ("+persnr+"):"+zeitGesamt.getTimeInSeconds()+" sek"); 
		if ( ergebnis == 0) System.out.println (">>> --- Alles O.K. ----("+persnr+")");
		else                System.out.println (">>> --- Lauf mit FEHLER (RC:"+ergebnis+") beendet  ---("+persnr+")");
			
		System.exit(ergebnis); 
		
	} // End main


public String getPathExcelReports(String pPersnr)
{
	return cls_global.getPathExcelReportsDaily(pPersnr);
}

public String getPathExcelReport(String excelFileName , String pPersnr)
{
	return cls_global.getPathExcelReportDaily(excelFileName, pPersnr);
}

public String getPathTemplate(String excelTemplateName)
{
	return cls_global.getPathTemplate(excelTemplateName) ;
}


public String getPathData( String id, String pPersnr) 
{
return cls_global.getPathData( id, pPersnr);
}

public  ColumnDesc [] getLtColDesc(String id)
{
	return cls_schema.getColDesc(id);
	
}



private static boolean initReports()
{ 
	boolean         ergebnis            = false;
	FileInputStream isMobileProperties  = null;
	try {
		
		cls_global   = new mobile.MGlobal();
		cls_schema   = cls_global.getSchema();
		ergebnis     = true;
		
	} catch (Exception e) 
	{
		e.printStackTrace(System.err); 
		System.out.println("<<< FEHLER beim Initialisieren der Berichte >>>");
		ergebnis=false;
	} 
	
	return ergebnis;
}


} // End Class


