#! /bin/ksh

# =============================================================================
#
#  PROZEDUR  : create_meta.sh
#
#  ZWECK     : Metadaten fuer ISIS-Mobile generieren
#
#  AUFRUF    : create_meta.sh
#
#  BEMERKUNG : .. Einschalung einer JAVA-Klasse
#
#  AUTOR     : P. Seher 07.2004
#
# =============================================================================

# --------------------------------------------------------------
# JAVA-Umgebung festlegen 
# --------------------------------------------------------------

. $HOME/mexreports/REPORTS/setjava.sh

echo "# --------------------------------------------------------------"
echo "# Metadaten werden erzeugt                                      "
echo "# --------------------------------------------------------------"

EXCEL_FILE=$HOME/mexreports/REPORTS/META/schema.xls

# -- Metadaten generieren
$JAVA mobile.CreateMeta || { echo "Abbruch wegen Fehler !"; exit 1; }

echo "# --------------------------------------------------------------"
echo "# -- Excel-Sicht auf die generierten Metadaten erstellen (nur zur Doku)"
echo "# --------------------------------------------------------------"

$JAVA mobile.ViewMeta $EXCEL_FILE

