#!/bin/ksh

# =============================================================================
#
#  PROZEDUR  : setjava.sh
#
#  ZWECK     : JAVA-Umgebung rechnerabhaengig setzen
#
#  AUFRUF    : . setjava.sh
#
#  BEMERKUNG :
#
#  AUTOR     : P. Seher 06.2004
#
# =============================================================================

# --------------------------------------------------------------
# JAVA-Umgebung festlegen
# --------------------------------------------------------------
JAVA_HOME=/usr/lib/j2sdk1.4.1_02/bin

MY_JAVA_HOME=$HOME/mexreports/JAVA;                              export MY_JAVA_HOME;
MY_CLASSES=$MY_JAVA_HOME/CLASSES;                                export MY_CLASSES;
MY_LIBS=$MY_JAVA_HOME/LIBS;                                      export MY_LIBS;

CLASSPATH=.:$MY_CLASSES

for jar in $JAVA_HOME/lib/*.jar  $MY_LIBS/POI/*.jar $MY_LIBS/*.jar
do
  CLASSPATH=$CLASSPATH:$jar
done

export CLASSPATH;

#JAVA='/usr/bin/java -server -Xms128m -Xmx2048m'
JAVA='/usr/bin/java'

export JAVA;

